getIntensityMatrix {vsn} | R Documentation

## Extract a matrix of microarray intensities from various kinds of objects

### Description

Extract a matrix of microarray intensities from various kinds of objects. This function is called by the function `vsn`, and is normally not called by the user.

### Usage

    getIntensityMatrix (intensities, verbose)

### Arguments

`intensities` | Object of class `ExpressionSet` with raw intensity values from a microarray experiment. Alternatively, this may be a `matrix`, a `data.frame` with all numeric columns or an `marrayRaw` object.
`verbose` | Logical. If TRUE, some messages are printed.

### Value

A numeric matrix.

### Author(s)

Wolfgang Huber http://www.ebi.ac.uk/huber

### See Also

`vsn`

### Examples

      ## see the vignette

[Package vsn version 3.12.0 Index]